OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.DrawBuffers

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBDrawBuffers :: MonadIO m => m Bool
- gl_ARB_draw_buffers :: Bool
- pattern GL_DRAW_BUFFER0_ARB :: GLenum
- pattern GL_DRAW_BUFFER10_ARB :: GLenum
- pattern GL_DRAW_BUFFER11_ARB :: GLenum
- pattern GL_DRAW_BUFFER12_ARB :: GLenum
- pattern GL_DRAW_BUFFER13_ARB :: GLenum
- pattern GL_DRAW_BUFFER14_ARB :: GLenum
- pattern GL_DRAW_BUFFER15_ARB :: GLenum
- pattern GL_DRAW_BUFFER1_ARB :: GLenum
- pattern GL_DRAW_BUFFER2_ARB :: GLenum
- pattern GL_DRAW_BUFFER3_ARB :: GLenum
- pattern GL_DRAW_BUFFER4_ARB :: GLenum
- pattern GL_DRAW_BUFFER5_ARB :: GLenum
- pattern GL_DRAW_BUFFER6_ARB :: GLenum
- pattern GL_DRAW_BUFFER7_ARB :: GLenum
- pattern GL_DRAW_BUFFER8_ARB :: GLenum
- pattern GL_DRAW_BUFFER9_ARB :: GLenum
- pattern GL_MAX_DRAW_BUFFERS_ARB :: GLenum
- glDrawBuffersARB :: MonadIO m => GLsizei -> Ptr GLenum -> m ()

# Extension Support

glGetARBDrawBuffers :: MonadIO m => m Bool Source #

Is the ARB_draw_buffers extension supported?

gl_ARB_draw_buffers :: Bool Source #

Is the ARB_draw_buffers extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDrawBuffers` in those cases instead.

# Enums

pattern GL_DRAW_BUFFER0_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER10_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER11_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER12_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER13_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER14_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER15_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER1_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER2_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER3_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER4_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER5_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER6_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER7_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER8_ARB :: GLenum Source #

pattern GL_DRAW_BUFFER9_ARB :: GLenum Source #

pattern GL_MAX_DRAW_BUFFERS_ARB :: GLenum Source #

# Functions

glDrawBuffersARB Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLenum | `bufs` pointing to `n` elements of type DrawBufferMode.
-> m () |

This command is an alias for `glDrawBuffers`.